Macaulay2 » Documentation
Packages » DGAlgebras :: getDegNModule
next | previous | forward | backward | up | index | toc

# getDegNModule -- Compute a presentation of M_i as an R-module

- Usage:
    `M' = getDegNModule(N,R,M)`
    `M' = getDegNModule(N,R,A)`
- Inputs:
  - N, an integer,
  - R, a ring,
  - M, a module, M is a Module over a ring A, and A must be a graded R-algebra with A_0 = R
  - A, a ring, A must be a graded R-algebra, and A_0 = R
- Outputs:
  - M', a module, M_N as an R = A_0-module

## Ways to use getDegNModule:

- `getDegNModule(ZZ,Ring,Ring)`

## For the programmer

The object getDegNModule is a method function.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/DGAlgebras.m2:2857:0.